# -*- coding: utf-8 -*-
import pytest

from tests.test_resources.api_test_runner import run_test_case

trait_data = [
    {'params': {'q': 'flexibel'}, 'jobsearch': 967, 'historical': 2820},
    {'params': {'q': 'ansvarstagande'}, 'jobsearch': 468, 'historical': 1237},
    {'params': {'q': 'noggrann'}, 'jobsearch': 608, 'historical': 1884},
    {'params': {'q': 'positiv'}, 'jobsearch': 841, 'historical': 2769},
    {'params': {'q': 'driven'}, 'jobsearch': 520, 'historical': 1515},
    {'params': {'q': 'samarbetsförmåga'}, 'jobsearch': 616, 'historical': 1727},
    {'params': {'q': 'engagerad'}, 'jobsearch': 574, 'historical': 1597},
    {'params': {'q': 'social'}, 'jobsearch': 646, 'historical': 2107},
    {'params': {'q': 'kommunikativ'}, 'jobsearch': 359, 'historical': 975},
    {'params': {'q': 'strukturerad'}, 'jobsearch': 461, 'historical': 1346},
    {'params': {'q': 'lyhörd'}, 'jobsearch': 439, 'historical': 1172},
    {'params': {'q': 'självgående'}, 'jobsearch': 437, 'historical': 1242},
    {'params': {'q': 'arbeta självständigt'}, 'jobsearch': 3194, 'historical': 9675},
    {'params': {'q': 'serviceinriktad'}, 'jobsearch': 332, 'historical': 1023},
    {'params': {'q': 'lösningsorienterad'}, 'jobsearch': 191, 'historical': 425},
    {'params': {'q': 'initiativrik'}, 'jobsearch': 95, 'historical': 368},
    {'params': {'q': 'nyfikenhet'}, 'jobsearch': 129, 'historical': 318},
    {'params': {'q': 'kreativ'}, 'jobsearch': 256, 'historical': 828},
    {'params': {'q': 'självständig'}, 'jobsearch': 230, 'historical': 574},
    {'params': {'q': 'lagspelare'}, 'jobsearch': 207, 'historical': 514},
    {'params': {'q': 'prestigelös'}, 'jobsearch': 247, 'historical': 652},
    {'params': {'q': 'målinriktad'}, 'jobsearch': 102, 'historical': 356},
    {'params': {'q': 'analytisk'}, 'jobsearch': 174, 'historical': 491},
    {'params': {'q': 'tydlig'}, 'jobsearch': 368, 'historical': 850},
    {'params': {'q': 'stresstålig'}, 'jobsearch': 164, 'historical': 640},
    {'params': {'q': 'lugn'}, 'jobsearch': 215, 'historical': 460},
    {'params': {'q': 'ödmjukhet'}, 'jobsearch': 37, 'historical': 77},
    {'params': {'q': 'utåtriktad'}, 'jobsearch': 138, 'historical': 712},
    {'params': {'q': 'stabil'}, 'jobsearch': 198, 'historical': 507},
    {'params': {'q': 'drivande'}, 'jobsearch': 168, 'historical': 554},
    {'params': {'q': 'resultatinriktad'}, 'jobsearch': 74, 'historical': 264},
    {'params': {'q': 'ordningsam'}, 'jobsearch': 109, 'historical': 272},
    {'params': {'q': 'ambition'}, 'jobsearch': 210, 'historical': 505},
    {'params': {'q': 'affärsmässig'}, 'jobsearch': 39, 'historical': 139},
    {'params': {'q': 'kvalitetsmedveten'}, 'jobsearch': 83, 'historical': 255},
    {'params': {'q': 'pedagogisk'}, 'jobsearch': 258, 'historical': 882},
    {'params': {'q': 'integritet'}, 'jobsearch': 128, 'historical': 338},
    {'params': {'q': 'nytänkande'}, 'jobsearch': 187, 'historical': 478},
    {'params': {'q': 'professionell'}, 'jobsearch': 207, 'historical': 561},
    {'params': {'q': 'effektiv'}, 'jobsearch': 204, 'historical': 566},
    {'params': {'q': 'pålitlig'}, 'jobsearch': 94, 'historical': 259},
    {'params': {'q': 'servicekänsla'}, 'jobsearch': 78, 'historical': 294},
    {'params': {'q': 'arbetsmoral'}, 'jobsearch': 80, 'historical': 185},
    {'params': {'q': 'serviceminded'}, 'jobsearch': 69, 'historical': 230},
    {'params': {'q': 'empatisk'}, 'jobsearch': 71, 'historical': 193},
    {'params': {'q': 'framtidstro'}, 'jobsearch': 89, 'historical': 169},
    {'params': {'q': 'samarbetsvillig'}, 'jobsearch': 62, 'historical': 134},
    {'params': {'q': 'relationsskapande'}, 'jobsearch': 60, 'historical': 116},
    {'params': {'q': 'mognad'}, 'jobsearch': 50, 'historical': 169},
    {'params': {'q': 'förtroendeingivande'}, 'jobsearch': 57, 'historical': 126},
    {'params': {'q': 'omdöme'}, 'jobsearch': 55, 'historical': 120},
    {'params': {'q': 'ärlighet'}, 'jobsearch': 34, 'historical': 72},
    {'params': {'q': 'kundorienterad'}, 'jobsearch': 36, 'historical': 100},
    {'params': {'q': 'uthållig'}, 'jobsearch': 50, 'historical': 108},
    {'params': {'q': 'hjälpsam'}, 'jobsearch': 52, 'historical': 131},
    {'params': {'q': 'gillar utmaningar'}, 'jobsearch': 1111, 'historical': 2862},
    {'params': {'q': 'självinsikt'}, 'jobsearch': 34, 'historical': 59},
    {'params': {'q': 'lojal'}, 'jobsearch': 47, 'historical': 146},
    {'params': {'q': 'administrativ'}, 'jobsearch': 76, 'historical': 340},
    {'params': {'q': 'tävlingsinriktad'}, 'jobsearch': 38, 'historical': 267},
    {'params': {'q': 'framåtanda'}, 'jobsearch': 50, 'historical': 122},
    {'params': {'q': 'snabb'}, 'jobsearch': 124, 'historical': 467},
    {'params': {'q': 'proaktiv'}, 'jobsearch': 59, 'historical': 133},
    {'params': {'q': 'handlingskraftig'}, 'jobsearch': 42, 'historical': 153},
    {'params': {'q': 'orädd'}, 'jobsearch': 41, 'historical': 136},
    {'params': {'q': 'ordningssinne'}, 'jobsearch': 36, 'historical': 105},
    {'params': {'q': 'tillmötesgående'}, 'jobsearch': 38, 'historical': 135},
    {'params': {'q': 'energisk'}, 'jobsearch': 40, 'historical': 96},
    {'params': {'q': 'strategisk'}, 'jobsearch': 97, 'historical': 181},
    {'params': {'q': 'metodiskt'}, 'jobsearch': 21, 'historical': 55},
    {'params': {'q': 'uppmärksam'}, 'jobsearch': 35, 'historical': 101},
    {'params': {'q': 'verbal'}, 'jobsearch': 52, 'historical': 61},
    {'params': {'q': 'utvecklingsinriktad'}, 'jobsearch': 23, 'historical': 59},
    {'params': {'q': 'trevlig'}, 'jobsearch': 128, 'historical': 392},
    {'params': {'q': 'driftig'}, 'jobsearch': 32, 'historical': 107},
    {'params': {'q': 'arbetsvillig'}, 'jobsearch': 21, 'historical': 84},
    {'params': {'q': 'humor'}, 'jobsearch': 41, 'historical': 153},
    {'params': {'q': 'motiverad'}, 'jobsearch': 45, 'historical': 182},
    {'params': {'q': 'problemlösningsförmåga'}, 'jobsearch': 26, 'historical': 51},
    {'params': {'q': 'problemlösande'}, 'jobsearch': 31, 'historical': 62},
    {'params': {'q': 'anpassningsbar'}, 'jobsearch': 22, 'historical': 58},
    {'params': {'q': 'organisationsförmåga'}, 'jobsearch': 23, 'historical': 81},
    {'params': {'q': 'teamkänsla'}, 'jobsearch': 45, 'historical': 155},
    {'params': {'q': 'doer'}, 'jobsearch': 16, 'historical': 20},
    {'params': {'q': 'omtänksam'}, 'jobsearch': 30, 'historical': 58},
    {'params': {'q': 'innovativ'}, 'jobsearch': 73, 'historical': 157},
    {'params': {'q': 'inger förtroende'}, 'jobsearch': 195, 'historical': 432},
    {'params': {'q': 'entusiastisk'}, 'jobsearch': 24, 'historical': 53},
    {'params': {'q': 'planeringsförmåga'}, 'jobsearch': 12, 'historical': 39},
    {'params': {'q': 'passionerad'}, 'jobsearch': 22, 'historical': 45},
    {'params': {'q': 'modig'}, 'jobsearch': 22, 'historical': 70},
    {'params': {'q': 'relationsbyggande'}, 'jobsearch': 20, 'historical': 36},
    {'params': {'q': 'entreprenörsanda'}, 'jobsearch': 28, 'historical': 95},
    {'params': {'q': 'ihärdig'}, 'jobsearch': 8, 'historical': 17},
    {'params': {'q': 'inkännande'}, 'jobsearch': 7, 'historical': 20},
    {'params': {'q': 'fokuserad'}, 'jobsearch': 31, 'historical': 71},
    {'params': {'q': 'säkerhetstänk'}, 'jobsearch': 19, 'historical': 36},
    {'params': {'q': 'tänkande'}, 'jobsearch': 26, 'historical': 124},
    {'params': {'q': 'vänlig'}, 'jobsearch': 58, 'historical': 111},
    {'params': {'q': 'vetgirig'}, 'jobsearch': 17, 'historical': 17},
    {'params': {'q': 'tålmodig'}, 'jobsearch': 16, 'historical': 92},
    {'params': {'q': 'praktiskt lagd'}, 'jobsearch': 137, 'historical': 381},
    {'params': {'q': 'rolig'}, 'jobsearch': 67, 'historical': 220},
    {'params': {'q': 'hunger'}, 'jobsearch': 9, 'historical': 5},
    {'params': {'q': 'serviceanda'}, 'jobsearch': 14, 'historical': 47},
    {'params': {'q': 'operativ'}, 'jobsearch': 44, 'historical': 119},
    {'params': {'q': 'pigg'}, 'jobsearch': 18, 'historical': 76},
    {'params': {'q': 'varm'}, 'jobsearch': 33, 'historical': 92},
    {'params': {'q': 'tävlingsmänniska'}, 'jobsearch': 21, 'historical': 49},
    {'params': {'q': 'idérik'}, 'jobsearch': 12, 'historical': 21},
    {'params': {'q': 'kvalitetstänk'}, 'jobsearch': 11, 'historical': 28},
    {'params': {'q': 'säkerhetsmedveten'}, 'jobsearch': 13, 'historical': 27},
    {'params': {'q': 'samarbetsinriktad'}, 'jobsearch': 6, 'historical': 22},
    {'params': {'q': 'systematisk'}, 'jobsearch': 21, 'historical': 56},
    {'params': {'q': 'säljinriktad'}, 'jobsearch': 4, 'historical': 28},
    {'params': {'q': 'rak'}, 'jobsearch': 19, 'historical': 63},
    {'params': {'q': 'snabblärd'}, 'jobsearch': 12, 'historical': 58},
    {'params': {'q': 'lättsam'}, 'jobsearch': 12, 'historical': 36},
    {'params': {'q': 'entusiasm'}, 'jobsearch': 14, 'historical': 72},
    {'params': {'q': 'logiskt'}, 'jobsearch': 5, 'historical': 30},
    {'params': {'q': 'lagkänsla'}, 'jobsearch': 17, 'historical': 16},
    {'params': {'q': 'välorganiserad'}, 'jobsearch': 15, 'historical': 32},
    {'params': {'q': 'transparent'}, 'jobsearch': 23, 'historical': 25},
    {'params': {'q': 'sunt förnuft'}, 'jobsearch': 17, 'historical': 35},
    {'params': {'q': 'lyssnare'}, 'jobsearch': 9, 'historical': 27},
    {'params': {'q': 'siffersinne'}, 'jobsearch': 10, 'historical': 29},
    {'params': {'q': 'lättlärd'}, 'jobsearch': 10, 'historical': 51},
    {'params': {'q': 'dynamisk'}, 'jobsearch': 128, 'historical': 374},
]


@pytest.mark.parametrize("test_case", trait_data)
def test_trait(test_case):
    run_test_case(test_case)
